Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
HeaderFooterContent Class Reference
Inheritance diagram for HeaderFooterContent:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (header_left_content, header_center_content, header_right_content, footer_left_content, footer_center_content, footer_right_content)
| Constructor, with parameters. More...
| Set (header_left_content, header_center_content, header_right_content, footer_left_content, footer_center_content, footer_right_content)
| Set value. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| footer_center_content
| Content for center footer.
| footer_left_content
| Content for left footer.
| footer_right_content
| Content for right footer.
| header_center_content
| Content for center header.
| header_left_content
| Content for left header.
| header_right_content
| Content for right header.

## Detailed Description

This class represents the header-footer content. Any string member of this class can set directly or be generated by using class HeaderFooterContentGenerator.

See also
  HeaderFooterContentGenerator.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

HeaderFooterContent.constructor | ( | header_left_content | ,
|  | header_center_content | ,
|  | header_right_content | ,
|  | footer_left_content | ,
|  | footer_center_content | ,
|  | footer_right_content |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | header_left_content | Content for left header.
  [in] | header_center_content | Content for center header.
  [in] | header_right_content | Content for right header.
  [in] | footer_left_content | Content for left footer.
  [in] | footer_center_content | Content for center footer.
  [in] | footer_right_content | Content for right footer.

## ◆ Set()

HeaderFooterContent.Set | ( | header_left_content | ,
|  | header_center_content | ,
|  | header_right_content | ,
|  | footer_left_content | ,
|  | footer_center_content | ,
|  | footer_right_content |
| ) |  |

Set value.

Parameters

  [in] | header_left_content | Content for left header.
  [in] | header_center_content | Content for center header.
  [in] | header_right_content | Content for right header.
  [in] | footer_left_content | Content for left footer.
  [in] | footer_center_content | Content for center footer.
  [in] | footer_right_content | Content for right footer.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.